Subject: bug#43946: closed (Re: bug#43946: [PATCH] doc: Add item to "Submitting Patches" section.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Sep 2021 13:04:02 +0000

Your bug report

#43946: [PATCH] doc: Add item to "Submitting Patches" section.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43946: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43946
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43946: [PATCH] doc: Add item to "Submitting Patches" section.
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 Sep 2021 15:02:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

zimoun <[email-masked]> skribis:

> Seeing the number of patches in the patch tracker, most of them does not
> apply anymore.  It is not encouraging to review and decrease the queue
> when first the reviewer has to guess onto which commit the patch
> applies.

Yeah in hindsight I think I agree with you.  I went ahead and (finally!)
applied the patch.

Thanks for persevering, and apologies for my stubbornness!  :-)

Ludo’.

Subject: [PATCH] doc: Add item to "Submitting Patches" section.
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Mon, 12 Oct 2020 10:20:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* doc/contributing.texi (Submitting Patches): Add item about 'git-format-patch
--base'.
---
 doc/contributing.texi | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/doc/contributing.texi b/doc/contributing.texi
index af3601442e..5ea3cb1899 100644
--- a/doc/contributing.texi
+++ b/doc/contributing.texi
@@ -932,6 +932,12 @@ Before submitting a patch that adds or modifies a package definition,
 please run through this check list:
 
 @enumerate
+@cindex @code{git format-patch}
+@cindex @code{git-format-patch}
+@item
+We recommend to use the command @code{git format-patch --base} to
+include the commit where your patch applies.
+
 @item
 If the authors of the packaged software provide a cryptographic
 signature for the release tarball, make an effort to verify the

base-commit: e746d30ec15852ec50e4247ea0a07ab2a9a69aa8
-- 
2.28.0